use wasm_bindgen::prelude::*;

// the js file must be in the RUST project
// it gets bundled
#[wasm_bindgen(module = "/things.js")]
extern "C" {
    fn foo() -> String;
    fn print(s: String);
}

#[wasm_bindgen]
extern "C" {
    fn alert(s: String);
}

// without the line in Cargo.toml, this throws a lint warning
#[wasm_bindgen]
pub fn greet() {
    let s = foo();
    let out = format!("Hi there from Rust. I got {s}");
    alert(out.clone());
    print(out);
}
